Bug 719659 - RHN Proxy in an IPv6 only environment: ISE during system registration
RHN Proxy in an IPv6 only environment: ISE during system registration
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite Proxy 5
Classification: Red Hat
Component: Server (Show other bugs)
541
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Mráka
Pavel Studeník
:
Depends On:
Blocks: sat550-post-ga/sat550-test-blockers sat550-ipv6
  Show dependency treegraph
 
Reported: 2011-07-07 11:38 EDT by Milan Zazrivec
Modified: 2012-10-02 06:53 EDT (History)
4 users (show)

See Also:
Fixed In Version: spacewalk-proxy-1.6.4-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-02 06:53:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (682 bytes, patch)
2011-07-07 11:40 EDT, Milan Zazrivec
no flags Details | Diff

  None (edit)
Description Milan Zazrivec 2011-07-07 11:38:38 EDT
Description of problem:
* RHN Proxy 5.4.1 in an IPv6 only environment
* System registration via proxy results into an internal server error
* Following error shows in /var/log/httpd/error_log on proxy:

Exception Handler Information
Traceback (most recent call last):
  File "/usr/share/rhn/proxy/apacheServer.py", line 66, in __call__
    ret = f(req)
  File "/usr/share/rhn/proxy/apacheHandler.py", line 341, in handler
    ret = handlerObj.handler()
  File "/usr/share/rhn/proxy/broker/rhnBroker.py", line 206, in handler
    self._connectToParent()  # part 1
  File "/usr/share/rhn/proxy/rhnShared.py", line 137, in _connectToParent
    (self.uri, )))
TypeError: not all arguments converted during string formatting

Version-Release number of selected component (if applicable):
spacewalk-proxy-common-1.2.2-11

How reproducible:
Always

Steps to Reproduce:
1. RHN Proxy in IPv6 only environment
2. System registration via proxy
  
Actual results:
Internal server error, error in httpd/error_log on proxy.

Expected results:
Registration succeeds.

Additional info:
Problem only shows in IPv6 only environment.
Comment 1 Milan Zazrivec 2011-07-07 11:40:23 EDT
Created attachment 511745 [details]
patch
Comment 2 Miroslav Suchý 2011-10-17 11:39:13 EDT
Commited to spacewalk.git as 509d8c358a5f42c57522492948372742c13dbfc2

Note You need to log in before you can comment on or make changes to this bug.